Need assistance with PAN OS upgrade playbook

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Need assistance with PAN OS upgrade playbook

L1 Bithead

Hi

 

I am trying to start utilizing Ansible for upgrading our Palo firewalls.  Currently, I am trying to run playbook of upgrading PAN OS device using Palo Github collection (https://github.com/PaloAltoNetworks/ansible-playbooks).  I ran the following playbook, and I am getting the following error message:

 

ansible-playbook upgrade_single_major.yml --extra-vars "base_version=9.1.0 target_version=9.1.13-h3"

 

PLAY [palo] ****************************************************************************************************************************************************************************************************************************************************

 

TASK [Gathering Facts] *****************************************************************************************************************************************************************************************************************************************

ok: [LAB_220_PA]

 

TASK [Download PAN-OS version] *********************************************************************************************************************************************************************************************************************************

fatal: [LAB_220_PA]: FAILED! => {"changed": false, "msg": "Missing required library \"pan-os-python\"."}

 

PLAY RECAP *****************************************************************************************************************************************************************************************************************************************************

LAB_220_PA                 : ok=1    changed=0    unreachable=0    failed=1    skipped=0    rescued=0    ignored=0  

 

 

I am using Mac OS, this is my ansible and python install details:

 

amohammed@******WMD6M ansible-playbooks % ansible --version

ansible [core 2.12.5]

  config file = /Users/amohammed/ansible-playbooks/ansible.cfg

  configured module search path = ['/Users/amohammed/.ansible/plugins/modules', '/usr/share/ansible/plugins/modules']

  ansible python module location = /usr/local/Cellar/ansible/5.8.0/libexec/lib/python3.10/site-packages/ansible

  ansible collection location = /Users/amohammed/.ansible/collections:/usr/share/ansible/collections

  executable location = /usr/local/bin/ansible

  python version = 3.10.4 (main, Apr 26 2022, 19:42:59) [Clang 13.1.6 (clang-1316.0.21.2)]

  jinja version = 3.1.2

  libyaml = True

1 REPLY 1

L1 Bithead
Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!